be.fgov.ehealth.consultrn.commons.core.v3

## Class DeceaseRequestType

- java.lang.Object
- - be.fgov.ehealth.consultrn.commons.core.v3.DeceaseRequestType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:07:12+02:00",
                 comments="JAXB RI v2.2.11")
      public class DeceaseRequestType
      extends Object
      implements Serializable

  information about the decease of a person

  Java class for DeceaseRequestType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DeceaseRequestType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="DeceaseDate" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}IncompleteDateType"/>
               <element name="DeceasePlace" type="{urn:be:fgov:ehealth:consultrn:commons:core:v3}WhereRequestType" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeceaseRequestType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDeceaseDate()` Gets the value of the deceaseDate property.
    `WhereRequestType` | `getDeceasePlace()` Gets the value of the deceasePlace property.
    `void` | `setDeceaseDate(String value)` Sets the value of the deceaseDate property.
    `void` | `setDeceasePlace(WhereRequestType value)` Sets the value of the deceasePlace property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DeceaseRequestType

          public DeceaseRequestType()

  - ### Method Detail

    - #### getDeceaseDate

          public String getDeceaseDate()

      Gets the value of the deceaseDate property.
      Returns:
        possible object is `String`

    - #### setDeceaseDate

          public void setDeceaseDate(String value)

      Sets the value of the deceaseDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getDeceasePlace

          public WhereRequestType getDeceasePlace()

      Gets the value of the deceasePlace property.
      Returns:
        possible object is `WhereRequestType`

    - #### setDeceasePlace

          public void setDeceasePlace(WhereRequestType value)

      Sets the value of the deceasePlace property.
      Parameters:
        `value` - allowed object is `WhereRequestType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.